#include <stdio.h>
#include <stdlib.h>

long long int main()
{
    long long int N, L;
    printf("Unesi broj stalaktita i Pericinu visinu (tim redom): ");
    scanf("%lld%lld", &N, &L);
    long long int s[N];
    long long int par=-1;
    int par2=0;
    for(int i=0; i<N; i++){
        printf("Unesi udaljenost %d. stalaktita od poda: ", i+1);
        scanf("%d", &s[i]);
        if(s[i]<=L && par2==0){
            par=i+1;
            par2=1;
        }
    }
    printf("%d", par);
}